develooper Front page | perl.module.build | Postings from January 2013

Re: [rt.cpan.org #82306] Not building for Perl 5.16 on Windows

Thread Previous | Thread Next
From:
Leon Timmermans
Date:
January 1, 2013 22:49
Subject:
Re: [rt.cpan.org #82306] Not building for Perl 5.16 on Windows
Message ID:
CAHhgV8hXrKMy=GiSQDR_3jY6Po=-6GmtgYN8YYazcASf7eGs_A@mail.gmail.com
On Tue, Jan 1, 2013 at 9:25 PM, Lyle <webmaster@cosmicperl.com> wrote:
> I submitted a bug to rjbs about one of his modules not building on Windows.
> He's kicked back that it's actually a Module::Build error. Looking at the
> build log, it appears he's correct:
> http://ppm4.activestate.com/MSWin32-x86/5.16/1600/R/RJ/RJBS/CGI-Application-Server-0.062.d/log-20120819T121907.txt
> Then I would presume that this is affecting a lot of modules?

The error is «Can't locate version/vpp.pm», that suggests something is
wrong with your version.pm installation. 5.16 ships with a recent
version of version, so it shouldn't need the pure perl version in the
first place. Does «perl -Mversion -E 'say version->new(1)'» work?

This really sounds like something is wrong with your local setup, but
it could be a number of things.

Leon

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About